// Code generated by mockery v2.10.0. DO NOT EDIT.

package mocks

import (
	context "context"

	mock "github.com/stretchr/testify/mock"
	users_apiv1 "gitlab.com/aleksei.e.kozlov/users-api/pkg/gen/proto/go/users_api/v1"
)

// UsersChangesNotifyProvider is an autogenerated mock type for the UsersChangesNotifyProvider type
type UsersChangesNotifyProvider struct {
	mock.Mock
}

// NotifyAddUser provides a mock function with given fields: ctx, user
func (_m *UsersChangesNotifyProvider) NotifyAddUser(ctx context.Context, user *users_apiv1.User) error {
	ret := _m.Called(ctx, user)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *users_apiv1.User) error); ok {
		r0 = rf(ctx, user)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// NotifyDeleteUser provides a mock function with given fields: ctx, id
func (_m *UsersChangesNotifyProvider) NotifyDeleteUser(ctx context.Context, id string) error {
	ret := _m.Called(ctx, id)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string) error); ok {
		r0 = rf(ctx, id)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// NotifyModifyUser provides a mock function with given fields: ctx, oldUser, modifiedUser
func (_m *UsersChangesNotifyProvider) NotifyModifyUser(ctx context.Context, oldUser *users_apiv1.User, modifiedUser *users_apiv1.User) error {
	ret := _m.Called(ctx, oldUser, modifiedUser)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *users_apiv1.User, *users_apiv1.User) error); ok {
		r0 = rf(ctx, oldUser, modifiedUser)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
